
TYPO3.Flow - Feature # 45553
PHP Version:
Has patch: Yes
Complexity: no-brainer
Subject: Missing TRUE Validator for mandatory checkboxes
Description

I added a Validator which validates boolean TRUE values. So only the value TRUE is accepted.
I needed this for a form where i have a mandatory "terms and conditions" checkbox which is a boolean property.
I think this is a quite common usecase and should be included into the core.

Related issues:
related to Core - Bug # 57414: Deprecate Extbase BooleanValidator and copy it... Under Review 2014-03-28
duplicated by TYPO3.Flow - Feature # 45976: Boolean Validator Resolved 2013-03-03

Associated revisions
Revision d46b153a - 2013-03-16 18:13 - Benno Weinzierl

[FEATURE] A boolean value Validator

A new Validator for validating if a value is a specific
boolean value (TRUE or FALSE). Used with no options it
expects TRUE.
Mainly useful for validating mandatory checkboxes in
forms (like Terms and Conditions).

Change-Id: Iae968c1c046be6b3cd475eea50ee65226381a0dd
Resolves: #45553
Releases: master

History
#1 - 2013-02-17 18:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18352

#2 - 2013-02-19 23:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18352

#3 - 2013-02-19 23:18 - Benno Weinzierl
Driven by the discussions in the irc-channel i submitted new patchset with new name and now the validator can also check for FALSE.

#4 - 2013-02-20 14:48 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18352

#5 - 2013-03-16 18:17 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18352

#6 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#7 - 2014-03-28 15:40 - Marc Bastian Heinrichs

merged since 2013-10-21 15:11

#8 - 2014-07-11 20:19 - Benno Weinzierl
- Status changed from Under Review to Resolved

Applied in changeset commit:d46b153a646fe12fb4eb988d46a277ec366cda40.
